#include "Measurement2D.h"
#include <iostream>

using namespace std;

int main(){
  // Create object
  Measurement2D transverseIp;
  // Set data to object
  transverseIp.setXY(8.5, 9.3);
  Measurement2D::Matrix eMatrix;
  /*eMatrix.xx = 1;
  eMatrix.xy = 0;
  eMatrix.yx = 0;
  eMatrix.yy = 1;*/
  eMatrix.xx = 0.08;
  eMatrix.xy = 0.11;
  eMatrix.yx = 0.03;
  eMatrix.yy = 0.04;
  transverseIp.setErrorMatrix(eMatrix);

  // Output some results from the object
  cout << "Method1: value,error,signif " 
       << transverseIp.value() << " " 
       << transverseIp.error() << " "
       << transverseIp.significance() << endl;

  cout << "Method2: value,error,signif " 
       << transverseIp.value() << " " 
       << transverseIp.errorMethod2() << " "
       << transverseIp.significanceMethod2() << endl;


  return 0;
}
